#ifndef DISPLAY_UTIL_H
#define DISPLAY_UTIL_H
#include "brlcad/cicommon.h"
#include "brlcad/ConstDatabase.h"
#include <QPixmap>


class Camera {
public:
	Camera();
	double rotation;
	double *position;
	double *size;
	double *direction;
private:
};


namespace DisplayUtils {
	QPixmap *rayTrace(BRLCAD::ConstDatabase *, const char *, const Camera *, int);
	double *mapTo2D(double *, const Camera *);
	double *mapTo3D(double *, const Camera *);
	double angle(double, double);
	double mag(double *);
	double mag(double, double);
	double mag(double, double, double);
	double dot(double *, double *);
	double *normalize(double *);
	double *reverse(double *);
	double angleBetween(double *, double *);
};

#endif // DISPLAY_UTIL_H