#include "mainwindow.h"
#include "dbio.h"
#include "brlcad/ConstDatabase.h"
#include <QApplication>


int
main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    a.setStyle("QSplitter::handle {"
    "background-color: qlineargradient(spread:pad, x1:0, y1:0, x2:1, y2:0, "
    "stop:0 rgba(255, 255, 255, 0), "
    "stop:0.407273 rgba(200, 200, 200, 255), "
    "stop:0.4825 rgba(101, 104, 113, 235), "
    "stop:0.6 rgba(255, 255, 255, 0));"
    " }");
    MainWindow w;
    BRLCAD::ConstDatabase database;

    if (argc > 1) {
    	w.loadDatabase(argv[1]);
	} else {
    	w.setWindowTitle("BRLCAD-GUI");
	}

    w.show();

    return a.exec();
}
