#include "dbio.h"
#include "brlcad/ConstDatabase.h"
#include "brlcad/Combination.h"
#include <iostream>
#include <QStringList>


int
DatabaseUtils::openDatabase(BRLCAD::ConstDatabase *database, const char *path)
{
	int ret;
	try {
	    if (database->Load(path))
			ret = 0;
	    else {
			std::cerr << "Could not load file: " << *path << std::endl;
			ret = 2;
	    }
	}
	catch(BRLCAD::bad_alloc& e) {
	    std::cerr << "Out of memory in: " << e.what() << std::endl;
	    ret = 3;
	}
	return ret;
}